<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:11 CET 2009 -->
<TITLE>
ch.javasoft.math.operator.compose
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.math.operator.compose package">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="ch.javasoft.math.operator.compose";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Package</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-use.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/package-summary.html"><B>PREV PACKAGE</B></A>&nbsp;
&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/impl/package-summary.html"><B>NEXT PACKAGE</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/math/operator/compose/package-summary.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-summary.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<H2>
Package ch.javasoft.math.operator.compose
</H2>
The <tt>math.operator.compose</tt> package contains implementations of number
operators resulting from the composition of existing operators into a new 
operator; these classes are for instance extensively used by the 
<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="class in ch.javasoft.math.array"><CODE>ExpressionComposer</CODE></A>.
<P>
<B>See:</B>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<A HREF="#package_description"><B>Description</B></A>
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/operator/compose/BinaryBinaryOperator.html" title="class in ch.javasoft.math.operator.compose">BinaryBinaryOperator&lt;T extends Number,A&gt;</A></B></TD>
<TD>The <code>BinaryBinaryOperator</code> applies a <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>BinaryOperator</CODE></A> 
 &oplus; to the result of two nested <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>BinaryOperator</CODE></A> instances.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/operator/compose/BinaryNullaryOperator.html" title="class in ch.javasoft.math.operator.compose">BinaryNullaryOperator&lt;T extends Number,A&gt;</A></B></TD>
<TD>The <code>BinaryNullaryOperator</code> applies a <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>BinaryOperator</CODE></A> 
 &oplus; to the result of a nested <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>BinaryOperator</CODE></A> and 
 <A HREF="../../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>NullaryOperator</CODE></A> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/operator/compose/BinaryUnaryOperator.html" title="class in ch.javasoft.math.operator.compose">BinaryUnaryOperator&lt;T extends Number,A&gt;</A></B></TD>
<TD>The <code>BinaryUnaryOperator</code> applies a <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>BinaryOperator</CODE></A> &oplus; 
 to the result of a nested <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>BinaryOperator</CODE></A> and <A HREF="../../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>UnaryOperator</CODE></A> 
 instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/operator/compose/ConcatBinaryOperator.html" title="class in ch.javasoft.math.operator.compose">ConcatBinaryOperator&lt;T extends Number,A&gt;</A></B></TD>
<TD>The <code>ConcatBinaryOperator</code> applies a <A HREF="../../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>UnaryOperator</CODE></A> &oplus; 
 to the result a nested <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>BinaryOperator</CODE></A> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/operator/compose/ConcatNAryOperator.html" title="class in ch.javasoft.math.operator.compose">ConcatNAryOperator&lt;T extends Number,A&gt;</A></B></TD>
<TD>The <code>ConcatNAryOperator</code> applies a <A HREF="../../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>UnaryOperator</CODE></A> &oplus; 
 to the result a nested <A HREF="../../../../../ch/javasoft/math/operator/NAryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>NAryOperator</CODE></A> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/operator/compose/ConcatNullaryOperator.html" title="class in ch.javasoft.math.operator.compose">ConcatNullaryOperator&lt;T extends Number,A&gt;</A></B></TD>
<TD>The <code>ConcatNullaryOperator</code> applies a <A HREF="../../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>UnaryOperator</CODE></A> 
 &oplus; to the result a nested <A HREF="../../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>NullaryOperator</CODE></A> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/operator/compose/ConcatQuaternaryOperator.html" title="class in ch.javasoft.math.operator.compose">ConcatQuaternaryOperator&lt;T extends Number,A&gt;</A></B></TD>
<TD>The <code>ConcatQuaternaryOperator</code> applies a <A HREF="../../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>UnaryOperator</CODE></A> 
 &oplus; to the result a nested <A HREF="../../../../../ch/javasoft/math/operator/QuaternaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>QuaternaryOperator</CODE></A> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/operator/compose/ConcatTernaryOperator.html" title="class in ch.javasoft.math.operator.compose">ConcatTernaryOperator&lt;T extends Number,A&gt;</A></B></TD>
<TD>The <code>ConcatTernaryOperator</code> applies a <A HREF="../../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>UnaryOperator</CODE></A> 
 &oplus; to the result a nested <A HREF="../../../../../ch/javasoft/math/operator/TernaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>TernaryOperator</CODE></A> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/operator/compose/ConcatUnaryOperator.html" title="class in ch.javasoft.math.operator.compose">ConcatUnaryOperator&lt;T extends Number,A&gt;</A></B></TD>
<TD>The <code>ConcatUnaryOperator</code> applies a <A HREF="../../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>UnaryOperator</CODE></A> &oplus; 
 to the result a nested <A HREF="../../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>UnaryOperator</CODE></A> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/operator/compose/NAryNAryOperator.html" title="class in ch.javasoft.math.operator.compose">NAryNAryOperator&lt;T extends Number,A&gt;</A></B></TD>
<TD>The <code>NAryNAryOperator</code> applies a <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>BinaryOperator</CODE></A> 
 &oplus; to the result of two nested <A HREF="../../../../../ch/javasoft/math/operator/NAryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>NAryOperator</CODE></A> instances.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryBinaryOperator.html" title="class in ch.javasoft.math.operator.compose">NullaryBinaryOperator&lt;T extends Number,A&gt;</A></B></TD>
<TD>The <code>NullaryBinaryOperator</code> applies a <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>BinaryOperator</CODE></A> 
 &oplus; to the result of a nested <A HREF="../../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>NullaryOperator</CODE></A> and 
 <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>BinaryOperator</CODE></A> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryNullaryOperator.html" title="class in ch.javasoft.math.operator.compose">NullaryNullaryOperator&lt;T extends Number,A&gt;</A></B></TD>
<TD>The <code>NullaryNullaryOperator</code> applies a <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>BinaryOperator</CODE></A> 
 &oplus; to the result of two nested <A HREF="../../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>NullaryOperator</CODE></A> instances.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="class in ch.javasoft.math.operator.compose">NullaryQuaternaryOperator&lt;T extends Number,A&gt;</A></B></TD>
<TD>The <code>NullaryQuaternaryOperator</code> applies a <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>BinaryOperator</CODE></A> 
 &oplus; to the result of a nested <A HREF="../../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>NullaryOperator</CODE></A> and 
 <A HREF="../../../../../ch/javasoft/math/operator/QuaternaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>QuaternaryOperator</CODE></A> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryTernaryOperator.html" title="class in ch.javasoft.math.operator.compose">NullaryTernaryOperator&lt;T extends Number,A&gt;</A></B></TD>
<TD>The <code>NullaryTernaryOperator</code> applies a <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>BinaryOperator</CODE></A> 
 &oplus; to the result of a nested <A HREF="../../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>NullaryOperator</CODE></A> and 
 <A HREF="../../../../../ch/javasoft/math/operator/TernaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>TernaryOperator</CODE></A> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/operator/compose/NullaryUnaryOperator.html" title="class in ch.javasoft.math.operator.compose">NullaryUnaryOperator&lt;T extends Number,A&gt;</A></B></TD>
<TD>The <code>NullaryUnaryOperator</code> applies a <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>BinaryOperator</CODE></A> 
 &oplus; to the result of a nested <A HREF="../../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>NullaryOperator</CODE></A> and 
 <A HREF="../../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>UnaryOperator</CODE></A> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/operator/compose/QuaternaryNullaryOperator.html" title="class in ch.javasoft.math.operator.compose">QuaternaryNullaryOperator&lt;T extends Number,A&gt;</A></B></TD>
<TD>The <code>QuaternaryNullaryOperator</code> applies a <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>BinaryOperator</CODE></A> 
 &oplus; to the result of a nested <A HREF="../../../../../ch/javasoft/math/operator/QuaternaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>QuaternaryOperator</CODE></A> and 
 <A HREF="../../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>NullaryOperator</CODE></A> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/operator/compose/TempArray.html" title="class in ch.javasoft.math.operator.compose">TempArray&lt;A&gt;</A></B></TD>
<TD>The <code>TempArray</code> allocates an array to store temporary intermediate 
 results of numeric operations.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/operator/compose/TernaryNullaryOperator.html" title="class in ch.javasoft.math.operator.compose">TernaryNullaryOperator&lt;T extends Number,A&gt;</A></B></TD>
<TD>The <code>TernaryNullaryOperator</code> applies a <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>BinaryOperator</CODE></A> 
 &oplus; to the result of a nested <A HREF="../../../../../ch/javasoft/math/operator/TernaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>TernaryOperator</CODE></A> and 
 <A HREF="../../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>NullaryOperator</CODE></A> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/operator/compose/TernaryUnaryOperator.html" title="class in ch.javasoft.math.operator.compose">TernaryUnaryOperator&lt;T extends Number,A&gt;</A></B></TD>
<TD>The <code>TernaryUnaryOperator</code> applies a <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>BinaryOperator</CODE></A> 
 &oplus; to the result of a nested <A HREF="../../../../../ch/javasoft/math/operator/TernaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>TernaryOperator</CODE></A> and 
 <A HREF="../../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>UnaryOperator</CODE></A> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryBinaryOperator.html" title="class in ch.javasoft.math.operator.compose">UnaryBinaryOperator&lt;T extends Number,A&gt;</A></B></TD>
<TD>The <code>UnaryBinaryOperator</code> applies a <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>BinaryOperator</CODE></A> &oplus; 
 to the result of a nested <A HREF="../../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>UnaryOperator</CODE></A> and <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>BinaryOperator</CODE></A> 
 instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryNullaryOperator.html" title="class in ch.javasoft.math.operator.compose">UnaryNullaryOperator&lt;T extends Number,A&gt;</A></B></TD>
<TD>The <code>UnaryNullaryOperator</code> applies a <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>BinaryOperator</CODE></A> 
 &oplus; to the result of a nested <A HREF="../../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>UnaryOperator</CODE></A> and 
 <A HREF="../../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>NullaryOperator</CODE></A> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryTernaryOperator.html" title="class in ch.javasoft.math.operator.compose">UnaryTernaryOperator&lt;T extends Number,A&gt;</A></B></TD>
<TD>The <code>UnaryTernaryOperator</code> applies a <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>BinaryOperator</CODE></A> 
 &oplus; to the result of a nested <A HREF="../../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>UnaryOperator</CODE></A> and 
 <A HREF="../../../../../ch/javasoft/math/operator/TernaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>TernaryOperator</CODE></A> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/math/operator/compose/UnaryUnaryOperator.html" title="class in ch.javasoft.math.operator.compose">UnaryUnaryOperator&lt;T extends Number,A&gt;</A></B></TD>
<TD>The <code>UnaryUnaryOperator</code> applies a <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>BinaryOperator</CODE></A> &oplus; 
 to the result of two nested <A HREF="../../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>UnaryOperator</CODE></A> instances.</TD>
</TR>
</TABLE>
&nbsp;

<P>
<A NAME="package_description"><!-- --></A><H2>
Package ch.javasoft.math.operator.compose Description
</H2>

<P>
The <tt>math.operator.compose</tt> package contains implementations of number
operators resulting from the composition of existing operators into a new 
operator; these classes are for instance extensively used by the 
<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="class in ch.javasoft.math.array"><CODE>ExpressionComposer</CODE></A>.
<P>

<P>
<DL>
</DL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Package</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-use.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/package-summary.html"><B>PREV PACKAGE</B></A>&nbsp;
&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/impl/package-summary.html"><B>NEXT PACKAGE</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/math/operator/compose/package-summary.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-summary.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
